﻿using System;

namespace HeuristicLab.Problems.ProgramSynthesis.Push.Attributes {
  using HeuristicLab.Problems.ProgramSynthesis.Push.Stack;

  [AttributeUsage(AttributeTargets.Class)]
  public class PushExpressionAttribute : Attribute {
    public readonly StackType StackType;
    public readonly string ExpressionName;

    public PushExpressionAttribute(StackType stackType, string expressionName) {
      this.StackType = stackType;
      this.ExpressionName = expressionName;
    }
  }
}
